clang 10.0.0git

Public Member Functions | Public Attributes | List of all members
clang::HeaderSearchOptions::Entry Struct Reference

`#include "clang/Lex/HeaderSearchOptions.h"`

Collaboration diagram for clang::HeaderSearchOptions::Entry:
[legend]

## Public Member Functions
| Entry (StringRef path, frontend::IncludeDirGroup group, bool isFramework, bool ignoreSysRoot)

## Public Attributes
std::string | Path
frontend::IncludeDirGroup | Group
unsigned | IsFramework: 1
unsigned | IgnoreSysRoot: 1
| IgnoreSysRoot - This is false if an absolute path should be treated relative to the sysroot, or true if it should always be the absolute path. More...

## Detailed Description

Definition at line 69 of file HeaderSearchOptions.h.

## Constructor & Destructor Documentation

## ◆ Entry()

clang::HeaderSearchOptions::Entry::Entry | ( | StringRef | path,
|  | frontend::IncludeDirGroup | group,
|  | bool | isFramework,
|  | bool | ignoreSysRoot
| ) |  |
| inline

Definition at line 79 of file HeaderSearchOptions.h.

## Member Data Documentation

## ◆ Group

frontend::IncludeDirGroup clang::HeaderSearchOptions::Entry::Group

Definition at line 71 of file HeaderSearchOptions.h.

Referenced by clang::ApplyHeaderSearchOptions(), and clang::hash_value().

## ◆ IgnoreSysRoot

unsigned clang::HeaderSearchOptions::Entry::IgnoreSysRoot

IgnoreSysRoot - This is false if an absolute path should be treated relative to the sysroot, or true if it should always be the absolute path.

Definition at line 77 of file HeaderSearchOptions.h.

Referenced by clang::ApplyHeaderSearchOptions(), and clang::hash_value().

## ◆ IsFramework

unsigned clang::HeaderSearchOptions::Entry::IsFramework

Definition at line 72 of file HeaderSearchOptions.h.

Referenced by clang::ApplyHeaderSearchOptions(), and clang::hash_value().

## ◆ Path

std::string clang::HeaderSearchOptions::Entry::Path

Definition at line 70 of file HeaderSearchOptions.h.

Referenced by clang::ApplyHeaderSearchOptions(), and clang::hash_value().

The documentation for this struct was generated from the following file:

- include/clang/Lex/HeaderSearchOptions.h